> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Delete Event Enrichment associations

`DELETE https://api.pagerduty.com/enrichment/event_enrichments/{id}/associations`

Event Enrichments allow you to automatically add contextual data to events as they're ingested, so that relevant information is available throughout the event, alert, and incident lifecycle. By leveraging the Contextual Data Platform (CDP), you can define rules that extract values from events or query enrichment schemas to populate event fields.

Associating an Event Orchestration or Service with an Event Enrichment allows for the enrichment to be evaluated when events are ingested for that Event Orchestration or Service

<!-- theme: warning -->

> ### Early Access
> This API is in Early Access and may change at any time. Contact your PagerDuty account team to request access.

Remove associations between an Event Enrichment and Services or Event Orchestrations.

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the Event Enrichment. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`) — required

The associations to remove from the Event Enrichment.

| Field | Type | Required | Description |
|---|---|---|---|
| `associations` | array of object | yes |  |
| `associations[].type` | string |  | The type of the associated resource. One of: `service_reference`, `event_orchestration_reference`. |
| `associations[].id` | string |  | The ID of the associated Service or Event Orchestration. |
| `associations[].summary` | string |  | The name of the associated Service or Event Orchestration. Read-only. |
| `associations[].self` | string (url) |  | The API show URL at which the associated resource is accessible. Read-only. |

Example: Remove a Service and an Event Orchestration association

```json
{
  "associations": [
    {
      "type": "service_reference",
      "id": "PVBHKC1"
    },
    {
      "type": "event_orchestration_reference",
      "id": "af3d4d66-4a34-46c6-9a3c-7d5d8bd8eeeb"
    }
  ]
}
```

## Response 200

Associations deleted successfully.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `status` | string |  | One of: `ok`. |

Example: Example Response

```json
{
  "status": "ok"
}
```

## Response 207

Multi-status response indicating partial success when adding or deleting associations.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `associations` | array of object |  |  |
| `associations[].status` | integer |  | The HTTP status code for this individual association attempt. |
| `associations[].errors` | array of string |  | Error messages for this association attempt, if any. |
| `associations[].association` | object |  |  |
| `associations[].association.type` | string |  | One of: `service_reference`, `event_orchestration_reference`. |
| `associations[].association.id` | string |  |  |

Example: Partial success — some associations failed (207)

```json
{
  "associations": [
    {
      "status": 201,
      "errors": [],
      "association": {
        "type": "service_reference",
        "id": "PVBHKC1"
      }
    },
    {
      "status": 500,
      "errors": [
        "Internal Server Error"
      ],
      "association": {
        "type": "event_orchestration_reference",
        "id": "af3d4d66-4a34-46c6-9a3c-7d5d8bd8eeeb"
      }
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
